Description

Rails 4.2 deprecates passing nested arrays to AR finders, e.g. Feature.find_by_name([['Puppet']]) should be flattened first.

This is triggered from two places in the codebase.  One's in the SmartProxy.with_features call from require_smart_proxy_or_login

(smart proxy auth concern) which passes an array into the scope causing nesting:

DEPRECATION WARNING: Passing a nested array to Active Record finder methods is deprecated and will

 be removed. Flatten your array before using it for 'IN' conditions. (called from block in &lt;cla

ss:SmartProxy&gt; at /home/dcleal/code/foreman/foreman/app/models/smart_proxy.rb:41)

 The second is in Taxonomix:

DEPRECATION WARNING: Passing a nested array to Active Record finder methods is deprecated and will

 be removed. Flatten your array before using it for 'IN' conditions. (called from with_taxonomy_sc

ope at /home/dcleal/code/foreman/foreman/app/models/concerns/taxonomix.rb:3

8)

Associated revisions

Revision f9bae424 - 03/08/2016 11:18 AM - Dominic Cleal

fixes #13974 - remove nested arrays passed to AR finders

Passing a nested array to Active Record finder methods is deprecated in

Rails 4.2 and will be removed, they must be flattened first.

History

#1 - 03/01/2016 08:09 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3257 added

#2 - 03/08/2016 12:02 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f9bae42404170f723973bee401c5d1474cdad30b.

#3 - 03/09/2016 09:53 AM - Dominic Cleal

- translation missing: en.field_release set to 136
